> ## Documentation Index
> Fetch the complete documentation index at: https://docs.capedigital.co.ke/llms.txt
> Use this file to discover all available pages before exploring further.

# List my rooms

> Returns a cursor-paginated list of rooms the caller belongs to, most recently updated first.



## OpenAPI

````yaml /openapi/shared.yaml get /api/v1/chat/rooms
openapi: 3.0.3
info:
  title: Shared Service API
  version: 1.0.0
  description: |2-

        **Shared Service API** - Comprehensive shared service and management system.

        ## Versionings
        The API uses URL path versioning (e.g., `/api/v1/`, `/api/v2/`).
        Current version: **v1**
        
  contact:
    name: API Support
    email: thakacreations@gmail.com
  license:
    name: thakacreations
servers: []
security: []
paths:
  /api/v1/chat/rooms:
    get:
      tags:
        - chat
      summary: List my rooms
      description: >-
        Returns a cursor-paginated list of rooms the caller belongs to, most
        recently updated first.
      operationId: chat_rooms_list
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoomListResponse'
          description: ''
      security:
        - bearerAuth: []
components:
  schemas:
    RoomListResponse:
      type: object
      properties:
        next:
          type: string
          nullable: true
        previous:
          type: string
          nullable: true
        results:
          type: array
          items:
            $ref: '#/components/schemas/ChatRoom'
      required:
        - next
        - previous
        - results
    ChatRoom:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
        room_type:
          enum:
            - DIRECT
            - GROUP
          type: string
          description: |-
            * `DIRECT` - Direct Message
            * `GROUP` - Group Chat
          x-spec-enum-id: 322c4b92920d49e4
          readOnly: true
        group_id:
          type: string
          readOnly: true
        document_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        created_by:
          type: string
          readOnly: true
        is_active:
          type: boolean
          readOnly: true
        members:
          type: array
          items:
            $ref: '#/components/schemas/ChatRoomMember'
          readOnly: true
        unread_count:
          type: string
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
      required:
        - created_at
        - created_by
        - document_id
        - group_id
        - id
        - is_active
        - members
        - name
        - room_type
        - unread_count
        - updated_at
    ChatRoomMember:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        user:
          type: string
          readOnly: true
        role:
          enum:
            - ADMIN
            - MEMBER
          type: string
          description: |-
            * `ADMIN` - Admin
            * `MEMBER` - Member
          x-spec-enum-id: 87a5cd738f31a971
          readOnly: true
        joined_at:
          type: string
          format: date-time
          readOnly: true
        last_read_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
      required:
        - id
        - joined_at
        - last_read_at
        - role
        - user
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: 'Enter your JWT token in the format: Bearer <token>'

````